Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
WidgetPropertiesDialog Class Reference
Inheritance diagram for WidgetPropertiesDialog:

## Public Member Functions
| __init__ (self, propertyDict, propertyList=None, parent=None, title='Widget Properties')
| apply (self)
| body (self, master)
| buttonbox (self)
| cancel (self, event=None)
| destroy (self)
| intOrNone (self, val)
| modified (self, widget, entry, property, type, fNone)
| ok (self, event=None)
| realOrNone (self, val)
| validateChanges (self)

## Public Attributes
list | balloonList = None
| cancel = 5)
| initial_focus = self.body(body)
dict | modifiedDict = {}
| ok
| parent = parent
dict | propertyDict = propertyDict
| propertyList = propertyList

## Detailed Description

    Class to open dialogs to adjust widget properties.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | propertyDict,
|  |  | propertyList = None,
|  |  | parent = None,
|  |  | title = 'Widget Properties' )

    Initialize a dialog.
    Arguments:
        propertyDict -- a dictionary of properties to be edited
        parent -- a parent window (the application window)
        title -- the dialog title

## Member Function Documentation

## ◆ apply()

apply | ( |  | self | ) |

    process the data

    This method is called automatically to process the data, *after*
    the dialog is destroyed. By default, it does nothing.

## ◆ body()

body | ( |  | self,
|  |  | master )

    create dialog body.
    return entry that should have initial focus.
    This method should be overridden, and is called
    by the __init__ method.

## ◆ buttonbox()

buttonbox | ( |  | self | ) |

    add standard button box buttons.

## ◆ cancel()

cancel | ( |  | self,
|  |  | event = None )

## ◆ destroy()

destroy | ( |  | self | ) |

    Destroy the window

## ◆ intOrNone()

intOrNone | ( |  | self,
|  |  | val )

## ◆ modified()

modified | ( |  | self,
|  |  | widget,
|  |  | entry,
|  |  | property,
|  |  | type,
|  |  | fNone )

## ◆ ok()

ok | ( |  | self,
|  |  | event = None )

## ◆ realOrNone()

realOrNone | ( |  | self,
|  |  | val )

## ◆ validateChanges()

validateChanges | ( |  | self | ) |

## Member Data Documentation

## ◆ balloonList

list balloonList = None

## ◆ cancel

cancel = 5)

## ◆ initial_focus

initial_focus = self.body(body)

## ◆ modifiedDict

dict modifiedDict = {}

## ◆ ok

ok

## ◆ parent

parent = parent

## ◆ propertyDict

dict propertyDict = propertyDict

## ◆ propertyList

propertyList = propertyList